A Dart plugin for Atom.
Dart HTML CSS
Latest commit ab1305f Nov 28, 2016 @devoncarew devoncarew committed on GitHub Merge pull request #1106 from averrin/patch-1
fix #1105

README.md

Dart plugin for Atom

A Dart plugin for Atom.

Build Status Join the chat at https://gitter.im/dart-atom/dartlang

Getting started

See our getting started guide! This is useful for users new to the plugin and users new to Atom as well.

What is it?

This package is a lightweight, streamlined Dart development plugin for Atom. It supports features like auto-discovery of the Dart SDK, errors and warnings shown as you type, code completion, refactorings, debugging, and integration with Pub and other tools.

Dart plugin for Atom screenshot

Installing

  • install Atom atom.io
  • install this dartlang package (with apm install dartlang or through the Atom UI)

Sending feedback

Please file feature requests and bugs at the issue tracker.

Get notified of news

Follow @dartpluginatom for news and announcements.

Terms and Privacy

The Dart plugin for Atom (the "Plugin") is an open-source project, contributed to by Google. By using the Plugin, you consent to be bound by Google's general Terms of Service and Google's general Privacy Policy.

License

See the LICENSE file.